# cxxabi.h File Reference

## Detailed Description

The header provides an interface to the C++ ABI.

Definition in file cxxabi.h.

Go to the source code of this file.

## Defines

- #define _CXXABI_H

## Typedefs

- typedef __cxa_cdtor_return_type(*) __cxa_cdtor_type (void *)

## Functions

- int __cxa_atexit (void(*)(void *), void *, void *)
- void __cxa_bad_cast ()
- void __cxa_bad_typeid ()
- char * __cxa_demangle (const char *__mangled_name, char *__output_buffer, size_t *__length, int *__status)
- int __cxa_finalize (void *)
- void __cxa_guard_abort (__guard *)
- int __cxa_guard_acquire (__guard *)
- void __cxa_guard_release (__guard *)
- void __cxa_pure_virtual (void)
- __cxa_vec_ctor_return_type __cxa_vec_cctor (void *dest_array, void *src_array, size_t element_count, size_t element_size, __cxa_cdtor_return_type(*constructor)(void *, void *), __cxa_cdtor_type destructor)
- void __cxa_vec_cleanup (void *__array_address, size_t __element_count, size_t __element_size, __cxa_cdtor_type destructor)
- __cxa_vec_ctor_return_type __cxa_vec_ctor (void *__array_address, size_t __element_count, size_t __element_size, __cxa_cdtor_type constructor, __cxa_cdtor_type destructor)
- void __cxa_vec_delete (void *__array_address, size_t __element_size, size_t __padding_size, __cxa_cdtor_type destructor)
- void __cxa_vec_delete2 (void *__array_address, size_t __element_size, size_t __padding_size, __cxa_cdtor_type destructor, void(*__dealloc)(void *))
- void __cxa_vec_delete3 (void *__array_address, size_t __element_size, size_t __padding_size, __cxa_cdtor_type destructor, void(*__dealloc)(void *, size_t))
- void __cxa_vec_dtor (void *__array_address, size_t __element_count, size_t __element_size, __cxa_cdtor_type destructor)
- void * __cxa_vec_new (size_t __element_count, size_t __element_size, size_t __padding_size, __cxa_cdtor_type constructor, __cxa_cdtor_type destructor)
- void * __cxa_vec_new2 (size_t __element_count, size_t __element_size, size_t __padding_size, __cxa_cdtor_type constructor, __cxa_cdtor_type destructor, void *(*__alloc)(size_t), void(*__dealloc)(void *))
- void * __cxa_vec_new3 (size_t __element_count, size_t __element_size, size_t __padding_size, __cxa_cdtor_type constructor, __cxa_cdtor_type destructor, void *(*__alloc)(size_t), void(*__dealloc)(void *, size_t))